/*****
                              packstime()

      This function takes the system time and converts it to a packed
   DOS value for the date.

   Argument list:    void

   Return value:     unsigned int      the time as a DOS-packed number

*****/

#include <dos.h>

unsigned int packstime(void)
{
   union REGS ireg;

   ireg.h.ah = 0x2c;
   intdos(&ireg, &ireg);
   return packtime(ireg.h.dh, ireg.h.cl, ireg.h.ch);
}
